Subject: [Ieprep] Folts' stated requirements: reliability constraints

From: Fred Baker <[email-masked]>
Date: Mon, 01 Apr 2002 08:55:10 -0800

In 
http://www.ietf.org/internet-drafts/draft-folts-ieprep-white-paper-00.txt, 
you state that "A US Government working group recently identified fourteen 
basic functional requirements for the future ETS." Some of the issues you 
identify have already been discussed; most of these I think are obvious, 
though I have a couple to ask you about.

Specifically, could ask ask you about these points that you made?

   +---------------------  -----------------------------------------
   |d. Restorability       Should a disruption occur, services must
   |                       be capable of being reprovisioned,
   |                       repaired, or restored to required service
   |                       levels on a priority basis.
   +---------------------  -----------------------------------------
   |e. International       Services must provide access to and
   |Connectivity           egress from international carriers.
   +----------------------------------------------------------------
   |f. Interoperability    Services must interconnect and
   |                       interoperate with other selected
   |                       government or private facilities,
   |                       systems, and networks.
   +---------------------------------------------------------------
   |h. Ubiquitous Coverage Services must be readily accessible to
   |                       support the national security leadership
   |                       and inter- and intra-agency emergency
   |                       operations, wherever they are located.
   +----------------------------------------------------------------
   |i. Survivability/      Services must be robust to support
   |   Endurability        surviving users under a broad range of
   |                       circumstances, from the widespread damage
   |                       of a natural or man-made disaster up to
   |                       and including nuclear war.
   +----------------------------------------------------------------
   |l. Scaleable Bandwidth NS/EP users must be able to manage the
   |                       capacity of the communications services
   |                       to support variable bandwidth
   |                       requirements.
   +----------------------------------------------------------------
   |M. Affordability       Services must leverage network
   |                       capabilities to minimize cost (e.g., use
   |                       of existing infrastructure, commercial
   |                       off-the-shelf technologies, services).
   +----------------------------------------------------------------
   |n. Reliability/        Services must perform consistently and
   |   Availability        precisely according to their design
   |                       requirements and specifications, and must
   |                       be usable with high confidence.
   +----------------------------------------------------------------

It is my perception that the experiences of the Internet in Kobe in 1992, 
and in New York and Washington DC last fall, suggest that in fact these are 
characteristics of elastic applications running on the current Internet. Do 
you agree? If not, specifically what issues would you like to see addressed?

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep